Bug 1395686 - missing dependency on dnf-plugin-system-upgrade prevents dnf system-upgrade reboot from working
Summary: missing dependency on dnf-plugin-system-upgrade prevents dnf system-upgrade r...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Will Woods
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
Keywords: CommonBugs, Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-16 12:50 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2016-12-19 01:25 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-11 02:22:56 UTC


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2016-11-16 12:50:15 UTC
Description of problem:
System boot stops at "Reached target System Update." after dnf system-upgrade reboot
if python3-dnf-plugin-system-upgrade is installed but dnf-plugin-system-upgrade is not.

Version-Release number of selected component (if applicable):
dnf-plugin-system-upgrade-0.7.1-1.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. dnf install python3-dnf-plugin-system-upgrade
2. dnf remove dnf-plugin-system-upgrade
3. dnf system-upgrade --releasever=24 download
4. dnf system-upgrade reboot

Actual results:
System boot stops at "Reached target System Update."

Expected results:
Upgrade should proceed normally.

Comment 1 Fedora End Of Life 2016-11-25 09:40:28 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Jason Tibbitts 2016-11-28 23:54:23 UTC
Just spent several hours figuring out what on earth had happened when updating my F24 laptop to F25.  Turns out it was exactly the lack of dnf-plugin-system-upgrade.  I could run all of the dnf system-upgrade commands without problems, but after a reboot the machine just hung.

This is really a situation we don't want a user to be in; unless they have a rescue boot entry, nothing you can pick from grub will get you a system that does anything.  You have to know how to boot to single user mode and know to delete the magic /system-update symlink.  (Which I sure do know now but I didn't know this morning.)

I don't at this point know what part of the system should get the complaint about the boot just sitting there doing nothing (which kind of makes you think that maybe it's silently updating).  I do know that a simple Requires:, or a check at dnf system-upgrade reboot time, or some other trivial change would have helped.

Comment 3 Fedora Update System 2016-11-29 02:29:20 UTC
dnf-plugin-system-upgrade-0.7.1-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-33e5e3e776

Comment 4 Fedora Update System 2016-11-29 02:29:29 UTC
dnf-plugin-system-upgrade-0.7.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5f5cda49d

Comment 5 Fedora Update System 2016-11-29 02:29:34 UTC
dnf-plugin-system-upgrade-0.7.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ccb9982835

Comment 6 Zbigniew Jędrzejewski-Szmek 2016-11-29 06:43:37 UTC
Also: https://github.com/systemd/systemd/pull/4763.

Comment 7 Fedora Update System 2016-11-30 06:52:32 UTC
dnf-plugin-system-upgrade-0.7.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5f5cda49d

Comment 8 Fedora Update System 2016-12-02 06:27:35 UTC
dnf-plugin-system-upgrade-0.7.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ccb9982835

Comment 9 Fedora Update System 2016-12-02 18:55:29 UTC
dnf-plugin-system-upgrade-0.7.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-33e5e3e776

Comment 10 Fedora Update System 2016-12-07 13:45:49 UTC
dnf-plugin-system-upgrade-0.7.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5f5cda49d

Comment 11 Fedora Update System 2016-12-08 03:53:07 UTC
dnf-plugin-system-upgrade-0.7.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-12-08 06:21:49 UTC
dnf-plugin-system-upgrade-0.7.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5f5cda49d

Comment 13 Fedora Update System 2016-12-11 02:22:56 UTC
dnf-plugin-system-upgrade-0.7.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-12-19 01:25:13 UTC
dnf-plugin-system-upgrade-0.7.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.